import { Injectable } from '@angular/core';
import axios from "axios";
import { environment } from '../environments/environment';


@Injectable({
  providedIn: 'root'
})
export class TaskService {
  private baseUrl = `${environment.url}`;

  constructor() {}

  filteredTodos(state: string): Promise<any> {
    return axios.get(`${this.baseUrl}/todos?state=${state}`)
  }

  todos(): Promise<any> {
    return axios.get(`${this.baseUrl}/todos`)
  }

  task(id: number | string): Promise<any> {
   return axios.get(`${this.baseUrl}/todo/${id}`)
  }

  addTask(name: string, state: string, description: string, date: string){
    return axios.post(`${this.baseUrl}/todo?name=${encodeURI(name)}&description=${encodeURI(description)}&date=${encodeURI(date)}&state=${state}`)
  }

  editTask(id: string, name: string, state: string, description: string, date: string){
    return axios.put(`${this.baseUrl}/todo/${id}?name=${encodeURI(name)}&description=${encodeURI(description)}&date=${encodeURI(date)}&state=${state}`)
  }

  deleteTask(id:string){
    return axios.delete(`${this.baseUrl}/todo/${id}`)
  }


  generateDemoData(){
    return axios.post(`${this.baseUrl}/test`)
  }
}
