import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';
import {Task} from "../task.model";
import {MatDialog} from "@angular/material/dialog";
import {TaskEditComponent} from "../task-edit/task-edit.component";
import {DateUtilsService} from "../date-utils.service";
import {TaskService} from "../task.service";

@Component({
  selector: 'app-task',
  templateUrl: './task.component.html',
  styleUrls: ['./task.component.css']
})
export class TaskComponent implements OnInit {
  @Input() task: any
  @Output() deleteTask = new EventEmitter<string>();
  public taskObj: Task = new Task("", "", "", "", "");
  public date: string = ""

  ngOnInit(): void {
    this.taskObj = new Task(this.task["name"], this.task["description"], this.task["date"], this.task["state"], this.task["id"])
    this.date = this.ds.dateStringToDisplayDate(this.task["date"])
  }
  constructor(public dialog: MatDialog, public ds: DateUtilsService, public ts: TaskService) {}

  delete(id: string): void{
    this.ts.deleteTask(id).then(() => this.deleteTask.emit(id))

  }
  openDialog(): void {
    const dialogRef = this.dialog.open(TaskEditComponent, {
      data: this.taskObj
    });

    dialogRef.beforeClosed().subscribe(() => {
      this.date = this.ds.dateStringToDisplayDate(this.taskObj.date)
      this.ts.editTask(this.taskObj.id, this.taskObj.name, this.taskObj.state, this.taskObj.description, this.ds.dateToTime(this.taskObj.date)).catch(er => alert("Edit Task error: " + er)).then(() => {

        window.location.reload();
      })
    });
  }



}
